%global pypi_name CommonMark
%global desc %{expand:
Pure Python port of jgm’s stmd.js, a Markdown parser and renderer for the CommonMark specification,
using only native modules. Once both this project and the CommonMark specification are stable we
will release the first 1.0 version and attempt to keep up to date with changes in stmd.js.

We are currently at the same development stage (actually a bit ahead because we have implemented
HTML entity conversion and href URL escaping) as stmd.js. Since Python versions pre-3.4 use outdated
(i.e. not HTML5 spec) entity conversion, I’ve converted the 3.4 implementation into a single file,
entitytrans.py which so far seems to work (all tests pass on 2.7, 3.3, and 3.4).}

%bcond_with tests

Summary:        Python parser for the CommonMark Markdown spec
Name:           python-%{pypi_name}
Version:        0.9.1
Release:        8%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/60/48/a60f593447e8f0894ebb7f6e6c1f25dafc5e89c5879fdc9360ae93ff83f0/commonmark-0.9.1.tar.gz

BuildArch:      noarch

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Python parser for the CommonMark Markdown spec
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-future
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-hypothesis
%endif

Requires:       python%{python3_pkgversion}-future

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n commonmark-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
export PYTHONIOENCODING=UTF-8
PYTHONPATH=$(pwd) %{__python3} setup.py test
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst spec.txt
%{_bindir}/cmark
%{python3_sitelib}/commonmark-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/commonmark/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 0.9.1-2
- remove unused buildrequires

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 0.9.1-1
- initial build
